Luxor PlatformAPI DocumentationEnergySite Conditions
List site conditions
Retrieves a list of site conditions including min and max load, hashrate, and spot energy price for a specific site within a date range with pagination support.
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
site_id*Site Id
Format
uuidstart_date*Start Date
Start timestamp in ISO format
end_date*End Date
End timestamp in ISO format
page_number?Page Number
Page number for pagination
Default
1page_size?Page Size
Number of items per page
Default
100Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/energy/site-conditions?site_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&start_date=2025-04-01T00%3A00%3A00Z&end_date=2025-04-10T23%3A59%3A59Z"{ "site_conditions": [ { "created_at": "2025-01-15T14:30:00Z", "energy_price_spot": "42.500", "hashprice": "0.065000", "id": "5e7f688e-4928-6fb2-c442-7e2fg7736d44", "load_kw": "450.0", "max_load_kw": "900.0", "min_load_kw": "100.0", "site_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "timestamp": "2025-01-15T14:30:00Z" } ], "pagination": { "page_number": 0, "page_size": 0, "item_count": 0, "previous_page_url": "string", "next_page_url": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}